> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getTableRow

> Fetches a specific row from a table using the row's unique identifier.



## OpenAPI

````yaml /tables-openapi.json get /v1/tables/{table}/row
openapi: 3.0.0
info:
  title: Botpress Tables API
  description: API for Botpress Tables
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/tables/{table}/row:
    get:
      tags:
        - Endpoints
      description: Fetches a specific row from a table using the row's unique identifier.
      operationId: getTableRow
      parameters:
        - name: table
          in: path
          description: >-
            The table's name or unique identifier for targeting specific table
            operations.
          required: true
          schema:
            type: string
        - name: id
          in: query
          description: Identifier of the row within the table.
          required: true
          schema:
            type: integer
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-integration-name
          in: header
          description: Integration name
          required: false
          schema:
            type: string
        - name: x-user-id
          in: header
          description: User Id
          required: false
          schema:
            type: string
        - name: x-user-role
          in: header
          description: User Role
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getTableRowResponse'
        default:
          $ref: '#/components/responses/getTableRowResponse'
components:
  responses:
    getTableRowResponse:
      description: The requested row object.
      content:
        application/json:
          schema:
            type: object
            properties:
              row:
                $ref: '#/components/schemas/Row'
            required:
              - row
            title: getTableRowResponse
            additionalProperties: false
  schemas:
    Row:
      type: object
      properties:
        id:
          type: number
          description: Unique identifier for the row.
        createdAt:
          type: string
          format: date-time
          description: Timestamp of row creation.
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of the last row update.
        computed:
          type: object
          additionalProperties:
            type: object
            properties:
              status:
                type: string
              error:
                type: string
              updatedBy:
                type: string
              updatedAt:
                type: string
            required:
              - status
            additionalProperties: false
        stale:
          type: array
          items:
            type: string
          description: '[Read-only] List of stale values that are waiting to be recomputed.'
        similarity:
          type: number
          description: >-
            Optional numeric value indicating similarity, when using
            findTableRows.
      required:
        - id
        - computed
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````